GNU Radio's FOSPHOR Package

Public Member Functions | Protected Member Functions | List of all members
gr::fosphor::wx_core_sink_c_impl Class Reference
Fosphor

WX version of fosphor sink (core implementation) More...

`#include <wx_core_sink_c_impl.h>`

Inheritance diagram for gr::fosphor::wx_core_sink_c_impl:
[legend]

## Public Member Functions
| wx_core_sink_c_impl (PyObject *cb_init, PyObject *cb_fini, PyObject *cb_swap, PyObject *cb_update)
| ~wx_core_sink_c_impl ()
void | pycb_reshape (int width, int height)
virtual void | pycb_reshape (int width, int height)=0
virtual void | execute_ui_action (enum ui_action_t action)=0
virtual void | set_frequency_range (const double center, const double span)=0
virtual void | set_frequency_center (const double center)=0
virtual void | set_frequency_span (const double span)=0
virtual void | set_fft_window (const gr::fft::window::win_type win)=0
Public Member Functions inherited from gr::fosphor::base_sink_c_impl
virtual | ~base_sink_c_impl ()
void | execute_ui_action (enum ui_action_t action)
void | set_frequency_range (const double center, const double span)
void | set_frequency_center (const double center)
void | set_frequency_span (const double span)
void | set_fft_window (const gr::fft::window::win_type win)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
bool | start ()
bool | stop ()

## Protected Member Functions
void | glctx_init ()
void | glctx_swap ()
void | glctx_poll ()
void | glctx_fini ()
void | glctx_update ()
Protected Member Functions inherited from gr::fosphor::base_sink_c
| base_sink_c (const char *name=NULL)
Protected Member Functions inherited from gr::fosphor::base_sink_c_impl
| base_sink_c_impl ()
virtual void | glctx_init ()=0
virtual void | glctx_poll ()=0
virtual void | glctx_swap ()=0
virtual void | glctx_fini ()=0
virtual void | glctx_update ()=0
void | cb_reshape (int width, int height)
void | cb_visibility (bool visible)

## Additional Inherited Members
Public Types inherited from gr::fosphor::wx_core_sink_c
typedef boost::shared_ptr< wx_core_sink_c > | sptr
Public Types inherited from gr::fosphor::base_sink_c
enum | ui_action_t { DB_PER_DIV_UP , DB_PER_DIV_DOWN , REF_UP , REF_DOWN , ZOOM_TOGGLE , ZOOM_WIDTH_UP , ZOOM_WIDTH_DOWN , ZOOM_CENTER_UP , ZOOM_CENTER_DOWN , RATIO_UP , RATIO_DOWN , FREEZE_TOGGLE }
Static Public Member Functions inherited from gr::fosphor::wx_core_sink_c
static sptr | make (PyObject *cb_init, PyObject *cb_fini, PyObject *cb_swap, PyObject *cb_update)
| Return a shared_ptr to a new instance of fosphor::wx_core_sink_c. More...

## Detailed Description

WX version of fosphor sink (core implementation)

## Constructor & Destructor Documentation

## ◆ wx_core_sink_c_impl()

gr::fosphor::wx_core_sink_c_impl::wx_core_sink_c_impl | ( | PyObject * | cb_init,
|  | PyObject * | cb_fini,
|  | PyObject * | cb_swap,
|  | PyObject * | cb_update
| ) |  |

## ◆ ~wx_core_sink_c_impl()

gr::fosphor::wx_core_sink_c_impl::~wx_core_sink_c_impl | ( |  | ) |

## Member Function Documentation

## ◆ glctx_fini()

void gr::fosphor::wx_core_sink_c_impl::glctx_fini | ( |  | ) |
| protected virtual

Implements gr::fosphor::base_sink_c_impl.

## ◆ glctx_init()

void gr::fosphor::wx_core_sink_c_impl::glctx_init | ( |  | ) |
| protected virtual

Implements gr::fosphor::base_sink_c_impl.

## ◆ glctx_poll()

void gr::fosphor::wx_core_sink_c_impl::glctx_poll | ( |  | ) |
| protected virtual

Implements gr::fosphor::base_sink_c_impl.

## ◆ glctx_swap()

void gr::fosphor::wx_core_sink_c_impl::glctx_swap | ( |  | ) |
| protected virtual

Implements gr::fosphor::base_sink_c_impl.

## ◆ glctx_update()

void gr::fosphor::wx_core_sink_c_impl::glctx_update | ( |  | ) |
| protected virtual

Implements gr::fosphor::base_sink_c_impl.

## ◆ pycb_reshape()

void gr::fosphor::wx_core_sink_c_impl::pycb_reshape | ( | int | width,
|  | int | height
| ) |  |
| virtual

Implements gr::fosphor::wx_core_sink_c.

The documentation for this class was generated from the following file:

- wx_core_sink_c_impl.h